Page MenuHomePhabricator

Updating of state after successful editEntity fails
Closed, ResolvedPublic

Description

https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/WikibaseLexeme/+/439877/2/resources/widgets/LexemeHeader.newLexemeHeaderStore.js changed saveRequest to be a native instead of jQuery promise which results in a response entity, not array (with entity at key 0).

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptJun 15 2018, 9:48 AM

Change 440514 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] LexemeHeaderStore: fix state mutation on success

https://gerrit.wikimedia.org/r/440514

Pablo-WMDE removed Pablo-WMDE as the assignee of this task.Jun 15 2018, 10:32 AM

Change 440514 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] LexemeHeaderStore: fix state mutation on success

https://gerrit.wikimedia.org/r/440514

Lydia_Pintscher closed this task as Resolved.Jun 27 2018, 9:47 AM
Lydia_Pintscher claimed this task.
Vvjjkkii renamed this task from Updating of state after successful editEntity fails to iuaaaaaaaa.Jul 1 2018, 1:04 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Lydia_Pintscher as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii edited subscribers, added: Lydia_Pintscher; removed: gerritbot.
CommunityTechBot renamed this task from iuaaaaaaaa to Updating of state after successful editEntity fails.Jul 2 2018, 5:04 AM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Lydia_Pintscher.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot edited subscribers, added: gerritbot; removed: Lydia_Pintscher.